Subject: [bug#54335] [PATCH 14/14] gnu: Add nebula.

From: Dominic Martinez <[email-masked]>
Date: Fri, 11 Mar 2022 15:59:13 -0500

Maxime Devos <[email-masked]> writes:

> This description reads like marketing talk (unqualified 
> ‘seamless’,
> ‘performance’, ‘simplicity’, ‘security’).  The seamless seems 
> factually
> incorrect, since there is not corresponding Shepherd service.
>
> As requested in (guix)Synopses and Descriptions, could the 
> marketing be
> left out, instead staying factual and descriptive?
>
> E.g., you could look at the descriptions of 'yggdrasil', 
> 'gnunet', 'go-
> ipfs' and 'wireguard' and see if some things could be reused, or 
> if
> some things are out-of-scope or missing in Nebula and mention 
> that.

Sure thing; I used the upstream description, so I'll write my own 
more consistent with Guix's guidelines.

> Also, there are some binaries in 'dist/windows/wintun' -- even 
> non-
> free!

Oh shoot! I removed the wintun and wireguard Windows dependencies 
but it looks like some Windows code still snuck in somewhere; I'll 
patch that out.